Index: /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/README
===================================================================
--- /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/README	(revision 5074)
+++ /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/README	(revision 5075)
@@ -1,10 +1,14 @@
- This is a first draft of the CONFIGURATION MANAGER demonstrator.
- Unfortunately, there are still bugs in those tools.
- I will continue to work on it next year, to fix those bugs and add some
- improvement as handle north fold...
+This is a first release of SIREN.
 
- '''WARNING : there are still bugs to fix in those tools!! '''
+To create SIREN documentation, go to ./src and run doxygen 
+(http://www.stack.nl/~dimitri/doxygen/index.html version 1.8.3.1 or upper)
+then
+   open ../doc/index.html 
+or 
+   run ../doc/latex/gmake and open refman.pdf 
 
-   ''''''
+
+templates of namelists could be find in templates directory.
+read documentation for more information.
 
  1- program to create coordinate file :
Index: /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg
===================================================================
--- /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg	(revision 5074)
+++ /branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/TOOLS/SIREN/cfg/variable.cfg	(revision 5075)
@@ -1,37 +1,73 @@
-# name       | units          | axis | point | standard name               | long name          | interpolation
-X            | 1              | X    |   | projection_x_coordinate         |                    |                      
-Y            | 1              | Y    |   | projection_y_coordinate         |                    |                      
-Z            | 1              | Z    |   | projection_z_coordinate         |                    |                      
-T            | 1              | T    |   | projection_t_coordinate         |                    |                      
-nav_lon      | degrees_east   | XY   | T | longitude                       | Longitude          | cubic                      
-nav_lat      | degrees_north  | XY   | T | latitude                        | Latitude           | cubic         
-nav_lev      | model_levels   | Z    | T |                                 | Model levels       | cubic        
-deptht       | m              | Z    | T | depth                           | Vertical T levels  |
-time_counter |                | T    |   | time                            | Time axis          | 
-Bathymetry   | m              | XY   | T | bathymetry                      | Bathymetry         | cubic         
-votemper     | degree_Celsius | XYZT | T | sea_water_potential_temperature | Temperature        | cubic         
-vozocrtx     | m s-1          | XYZT | U |                                 | Zonal velocity     | cubic         
-vomecrty     | m s-1          | XYZT | V |                                 | Meridional velocity| cubic         
-vosaline     | PSU            | XYZT | T | sea_water_salinity              | Salinity           | cubic         
-sossheig     | m              | XYT  | T | sea_surface_height              | Sea Surface Height | cubic         
-glamt        | degrees_east   | XY   | T |                                 | Longitude_T        | cubic
-glamu        | degrees_east   | XY   | U |                                 | Longitude_U        | cubic            
-glamv        | degrees_east   | XY   | V |                                 | Longitude_V        | cubic          
-glamf        | degrees_east   | XY   | F |                                 | Longitude_F        | cubic         
-gphit        | degrees_north  | XY   | T |                                 | Latitude_T         | cubic         
-gphiu        | degrees_north  | XY   | U |                                 | Latitude_U         | cubic        
-gphiv        | degrees_north  | XY   | V |                                 | Latitude_V         | cubic        
-gphif        | degrees_north  | XY   | F |                                 | Latitude_F         | cubic        
-e1t          | m              | XY   | T |                                 |                    | cubic/rhoi    
-e1u          | m              | XY   | U |                                 |                    | cubic/rhoi     
-e1v          | m              | XY   | V |                                 |                    | cubic/rhoi      
-e1f          | m              | XY   | F |                                 |                    | cubic/rhoi    
-e2t          | m              | XY   | T |                                 |                    | cubic/rhoj      
-e2u          | m              | XY   | U |                                 |                    | cubic/rhoj      
-e2v          | m              | XY   | V |                                 |                    | cubic/rhoj     
-e2f          | m              | XY   | F |                                 |                    | cubic/rhoj      
-tmask        |                | XYZ  | T |                                 |                    | nearest       
-umask        |                | XYZ  | U |                                 |                    | nearest       
-vmask        |                | XYZ  | V |                                 |                    | nearest       
-fmask        |                | XYZ  | F |                                 |                    | nearest       
-weight       |                | XY   | T |                                 |                    |               
+# name       | units          | axis | point | standard name                | long name          | interpolation
+X            | 1              | X    |   | projection_x_coordinate          |                    |                      
+Y            | 1              | Y    |   | projection_y_coordinate          |                    |                      
+Z            | 1              | Z    |   | projection_z_coordinate          |                    |                      
+T            | 1              | T    |   | projection_t_coordinate          |                    |                      
+nav_lon      | degrees_east   | XY   | T | longitude                        | Longitude          | cubic                      
+nav_lat      | degrees_north  | XY   | T | latitude                         | Latitude           | cubic         
+nav_lev      | model_levels   | Z    | T |                                  | Model levels       | cubic        
+deptht       | m              | Z    | T | depth                            | Vertical T levels  |
+time_counter |                | T    |   | time                             | Time axis          | 
+Bathymetry   | m              | XY   | T | bathymetry                       | Bathymetry         | cubic         
+votemper     | degree_Celsius | XYZT | T | sea_water_potential_temperature  | Temperature        | cubic         
+vozocrtx     | m s-1          | XYZT | U |                                  | Zonal velocity     | cubic         
+vomecrty     | m s-1          | XYZT | V |                                  | Meridional velocity| cubic         
+vosaline     | PSU            | XYZT | T | sea_water_salinity               | Salinity           | cubic         
+sossheig     | m              | XYT  | T | sea_surface_height               | Sea Surface Height | cubic         
+glamt        | degrees_east   | XY   | T |                                  | Longitude_T        | cubic
+glamu        | degrees_east   | XY   | U |                                  | Longitude_U        | cubic            
+glamv        | degrees_east   | XY   | V |                                  | Longitude_V        | cubic          
+glamf        | degrees_east   | XY   | F |                                  | Longitude_F        | cubic         
+gphit        | degrees_north  | XY   | T |                                  | Latitude_T         | cubic         
+gphiu        | degrees_north  | XY   | U |                                  | Latitude_U         | cubic        
+gphiv        | degrees_north  | XY   | V |                                  | Latitude_V         | cubic        
+gphif        | degrees_north  | XY   | F |                                  | Latitude_F         | cubic        
+e1t          | m              | XY   | T |                                  |                    | cubic/rhoi    
+e1u          | m              | XY   | U |                                  |                    | cubic/rhoi     
+e1v          | m              | XY   | V |                                  |                    | cubic/rhoi      
+e1f          | m              | XY   | F |                                  |                    | cubic/rhoi    
+e2t          | m              | XY   | T |                                  |                    | cubic/rhoj      
+e2u          | m              | XY   | U |                                  |                    | cubic/rhoj      
+e2v          | m              | XY   | V |                                  |                    | cubic/rhoj     
+e2f          | m              | XY   | F |                                  |                    | cubic/rhoj      
+tmask        |                | XYZ  | T |                                  |                    | nearest       
+umask        |                | XYZ  | U |                                  |                    | nearest       
+vmask        |                | XYZ  | V |                                  |                    | nearest       
+fmask        |                | XYZ  | F |                                  |                    | nearest       
+weight       |                | XY   | T |                                  |                    |               
+kt           |                |      |   |                                  |                    |               
+ndastp       |                |      |   |                                  |                    |               
+adatrj       |                |      |   |                                  |                    |               
+kt           |                |      |   |                                  |                    |               
+rdt          |                |      |   |                                  |                    |               
+rdttra1      |                |      |   |                                  |                    |               
+utau_b       |                | XYT  | U |surface_downward_eastward_stress  |                    |               
+vtau_b       |                | XYT  | V |surface_downward_northward_stress |                    |               
+qns_b        |                | XYT  | T |                                  |                    |               
+emp_b        |                | XYT  | T |                                  |                    |               
+sfx_b        |                | XYT  | T |                                  |                    |               
+en           |                | XYZT | T |                                  |                    |               
+avt          |                | XYZT | T |                                  |                    |               
+avm          |                | XYZT | T |                                  |                    |               
+avmu         |                | XYZT | T |                                  |                    |               
+avmv         |                | XYZT | T |                                  |                    |               
+dissl        |                | XYZT | T |                                  |                    |               
+sbc_hc_b     |                | XYT  | T |                                  |                    |               
+sbc_sc_b     |                | XYT  | T |                                  |                    |               
+gcx          |                | XYT  | T |                                  |                    |               
+gcxb         |                | XYT  | T |                                  |                    |               
+ub           |                | XYZT | U |                                  |                    |               
+vb           |                | XYZT | V |                                  |                    |               
+tb           |                | XYZT | T |                                  |                    |               
+sb           |                | XYZT | T |                                  |                    |               
+rotb         |                | XYZT | T |                                  |                    |               
+hdivb        |                | XYZT | T |                                  |                    |               
+sshb         |                | XYT  | T |                                  |                    |               
+un           |                | XYZT | U |                                  |                    |               
+vn           |                | XYZT | V |                                  |                    |               
+tn           |                | XYZT | T |                                  |                    |               
+sn           |                | XYZT | T |                                  |                    |               
+rotn         |                | XYZT | T |                                  |                    |               
+hdivn        |                | XYZT | T |                                  |                    |               
+sshn         |                | XYT  | T |                                  |                    |               
+rhop         |                | XYZT | T |                                  |                    |               
